Subject: Re: bug#11519: "Wrong type argument: characterp" building custom-deps while boostrapping

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 May 2012 05:50:41 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Juanma Barranquero <[email-masked]>,  [email-masked]
> Date: Sun, 20 May 2012 21:49:02 -0400
> 
> > If you started looking, I think you can stop.  It's a %$#@!
> > heisenbug.  If I add a single (message %s file) to
> > custom-make-dependencies, it displays ethio-util.el as the last file
> > name before the error.  But adding another message makes the problem
> > disappear, and the bootstrap runs flawlessly to completion.  Likewise,
> > running just "make custom-deps" with the emacs.exe built by the first
> > stage of the bootstrap doesn't produce any errors.
> 
> I guess the best options is to change the makefile so it sets
> debug-on-error (and/or starts Emacs under a debugger) in the area of
> interest and hope that the problem will still show up.

I already tried the former (the problem went away).  I'm guessing the
latter will do the same.  I will try to think about some trick, but
frankly it's very frustrating, because any small change to cus-dep.el
or the setup makes the problem go away.